

# DescribeMetricsExport


Describes the metrics of the application configuration being exported.

## Request Syntax


```
POST /describe-metrics-export HTTP/1.1
Content-type: application/json

{
   "metricsExportId": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [metricsExportId](#API_DescribeMetricsExport_RequestSyntax) **   <a name="resiliencehub-DescribeMetricsExport-request-metricsExportId"></a>
Identifier of the metrics export task.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "errorMessage": "string",
   "exportLocation": { 
      "bucket": "string",
      "prefix": "string"
   },
   "metricsExportId": "string",
   "status": "string"
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errorMessage](#API_DescribeMetricsExport_ResponseSyntax) **   <a name="resiliencehub-DescribeMetricsExport-response-errorMessage"></a>
Explains the error that occurred while exporting the metrics.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [exportLocation](#API_DescribeMetricsExport_ResponseSyntax) **   <a name="resiliencehub-DescribeMetricsExport-response-exportLocation"></a>
Specifies the name of the Amazon S3 bucket where the exported metrics is stored.  
Type: [S3Location](API_S3Location.md) object

 ** [metricsExportId](#API_DescribeMetricsExport_ResponseSyntax) **   <a name="resiliencehub-DescribeMetricsExport-response-metricsExportId"></a>
Identifier for the metrics export task.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 255.

 ** [status](#API_DescribeMetricsExport_ResponseSyntax) **   <a name="resiliencehub-DescribeMetricsExport-response-status"></a>
Indicates the status of the metrics export task.  
Type: String  
Valid Values: `Pending | InProgress | Failed | Success` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You don't have permissions to perform the requested operation. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the AWS Resilience Hub service.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
This exception occurs when the specified resource could not be found.    
 ** resourceId **   
The identifier of the resource that the exception applies to.  
 ** resourceType **   
The type of the resource that the exception applies to.
HTTP Status Code: 404

 ** ThrottlingException **   
This exception occurs when you have exceeded the limit on the number of requests per second.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
This exception occurs when a request is not valid.  
HTTP Status Code: 400

## Examples


### Sample Request


The following is an example request payload.

#### Sample Request


```
{
  "metricsExportId": "fe0e1e00-03eb-11ee-8796-02038f8a9691"
}
```

### Sample Response


The following is an example response payload.

#### Sample Response


```
{
  "metricsExportId": "fe0e1e00-03eb-11ee-8796-02038f8a9691",
  "status": "Success",
  "exportLocation": {
    "bucket": "my-bucket-name",
    "prefix": "resiliencehub-metrics/2024-11-14/fe0e1e00-03eb-11ee-8796-02038f8a9691"
  }
}
```

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/resiliencehub-2020-04-30/DescribeMetricsExport) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/resiliencehub-2020-04-30/DescribeMetricsExport) 